package com.fs.his.service;

import java.util.List;

import com.fs.his.domain.FsStoreOrder;
import com.fs.his.domain.FsUserWatch;
import com.fs.hisStore.domain.FsStoreOrderScrm;
import org.springframework.scheduling.annotation.Async;

/**
 * 用户腕Service接口
 *
 * @author fs
 * @date 2024-11-14
 */
public interface IFsUserWatchService
{
    /**
     * 查询用户腕
     *
     * @param id 用户腕主键
     * @return 用户腕
     */
    public FsUserWatch selectFsUserWatchById(Long id);

    /**
     * 查询用户腕列表
     *
     * @param fsUserWatch 用户腕
     * @return 用户腕集合
     */
    public List<FsUserWatch> selectFsUserWatchList(FsUserWatch fsUserWatch);

    /**
     * 新增用户腕
     *
     * @param fsUserWatch 用户腕
     * @return 结果
     */
    public int insertFsUserWatch(FsUserWatch fsUserWatch);

    /**
     * 修改用户腕
     *
     * @param fsUserWatch 用户腕
     * @return 结果
     */
    public int updateFsUserWatch(FsUserWatch fsUserWatch);

    /**
     * 批量删除用户腕
     *
     * @param ids 需要删除的用户腕主键集合
     * @return 结果
     */
    public int deleteFsUserWatchByIds(Long[] ids);

    /**
     * 删除用户腕信息
     *
     * @param id 用户腕主键
     * @return 结果
     */
    public int deleteFsUserWatchById(Long id);



    void addUserWatch(FsStoreOrder order);

    @Async
    void addUserWatchScrm(FsStoreOrderScrm order);

    /**
     * 根据userId查询最新得一条记录
     * @param userId 用户id
     * @return FsUserWatch
     */
    FsUserWatch getLastByUserId(Long userId);
}
